(function( $$ ) {
	$$.widget( "ui.currency", {
		_create: function() {
			var self = this;
			this.button = self.options.toolbar.newButton({
				widget: 'currency',
				id: self.options.index
			}, self.options.config, function(){
				self.click();
			}, self.options.index);
			this.update();
		},
		onRequest: function(data){
			console.log(JSON.stringify(data));
		},
		update: function(){
			var self = this;
			this.options.toolbar.widgetRequest('Currency', {
				source_link: $("source_link", self.options.config).text(),
				currency_id: $("currency_id", self.options.config).text(),
			}, function(data){
				//$("caption", self.options.config).text(data);
				self.button.children("p").text(data);
			}, self.options.index);
		},
		click: function(){
			window.location.href = $("link", this.options.config).text();
		}
	});
})( jQ );
