scriptLoader.attach(function(){

(function() {
	if (window.top != window.self)
		return;
		
	//window.addEventListener('DOMContentLoaded', function() {
	
	(function( $$ ){

		var settings = {
			'height': 30,
			'background': '#eee',
			'html': '',
			'color': "#333",
			'textAlign': "left",
			'fontSize': "12px",
			'fontFamily': "Arial, 'Helvetica Neue', Helvetica, sans-serif"
		};

		//  '-webkit-gradient(linear, left top, left bottom, from(#e0ddd5), to(#eeeeee))'
		var tb = null;

		var methods = {

			reload: function(){
			},

			show : function( options ) {
				var self = this;
				return this.each(function() {
					if ( options ){ 
						$$.extend( settings, options );
					}

                    $$("html").css({
                        "margin-top": settings.height + "px"
                    });

                    $$("body").addClass("rubar-body");

					tb = $$(this)
						.css({
							"text-align" : settings.textAlign,
							"height" : settings.height + "px",
                            "display": 'block'
						})
						.addClass("rubar-toolbar");

                    $( 'div.cuzadpn' ).css({
                        "top": settings.height + "px"
                    });
				});
			},

			hide : function( ) {
				$$("html").css({
                    "margin-top": "0"
                });

                $$("body").removeClass("rubar-body");

                $( 'div.cuzadpn' ).css({
                    "top": '0'
                });

                tb.remove();
			}
		};

		$$.fn.toolbar = function( method ) {
			if ( methods[method] ) {
				return methods[ method ].apply( this, Array.prototype.slice.call( arguments, 1 ));
			}
			else if ( typeof method === 'object' || typeof method === 'string' || ! method ) {
				return methods.show.apply( this, arguments );
			}
		};  
	})( jQ );
	
	(function($)  {
	   $.fn.extend({
		  setChecked : function(state)  {
			if (state)
				return this.filter(":radio, :checkbox").attr("checked", true);
			else 
				return this.filter(":radio, :checkbox").removeAttr("checked");
		  },
		  setVisibility : function(state)  {
			if (state)
				return this.show();
			else 
				return this.hide();
		  }
	   });
	}(jQ));
	
	//}, false);
})();

}, 2);